AppAttemptMetricsConstants (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.metrics, class: AppAttemptMetricsConstants

Package org.apache.hadoop.yarn.server.metrics

# Class AppAttemptMetricsConstants

java.lang.Object
org.apache.hadoop.yarn.server.metrics.AppAttemptMetricsConstants

@Private @Unstable public class AppAttemptMetricsConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DIAGNOSTICS_INFO`
  `static final String`
  `ENTITY_TYPE`
  `static final String`
  `FINAL_STATUS_INFO`
  `static final String`
  `FINISHED_EVENT_TYPE`
  `static final String`
  `HOST_INFO`
  `static final String`
  `MASTER_CONTAINER_INFO`
  `static final String`
  `MASTER_NODE_ADDRESS`
  `static final String`
  `MASTER_NODE_ID`
  `static final String`
  `ORIGINAL_TRACKING_URL_INFO`
  `static final String`
  `PARENT_PRIMARY_FILTER`
  `static final String`
  `REGISTERED_EVENT_TYPE`
  `static final String`
  `RPC_PORT_INFO`
  `static final String`
  `STATE_INFO`
  `static final String`
  `TRACKING_URL_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppAttemptMetricsConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENTITY_TYPE

    public static final String ENTITY_TYPE
    See Also:
      - Constant Field Values

  - ### REGISTERED_EVENT_TYPE

    public static final String REGISTERED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### FINISHED_EVENT_TYPE

    public static final String FINISHED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### PARENT_PRIMARY_FILTER

    public static final String PARENT_PRIMARY_FILTER
    See Also:
      - Constant Field Values

  - ### TRACKING_URL_INFO

    public static final String TRACKING_URL_INFO
    See Also:
      - Constant Field Values

  - ### ORIGINAL_TRACKING_URL_INFO

    public static final String ORIGINAL_TRACKING_URL_INFO
    See Also:
      - Constant Field Values

  - ### HOST_INFO

    public static final String HOST_INFO
    See Also:
      - Constant Field Values

  - ### RPC_PORT_INFO

    public static final String RPC_PORT_INFO
    See Also:
      - Constant Field Values

  - ### MASTER_CONTAINER_INFO

    public static final String MASTER_CONTAINER_INFO
    See Also:
      - Constant Field Values

  - ### DIAGNOSTICS_INFO

    public static final String DIAGNOSTICS_INFO
    See Also:
      - Constant Field Values

  - ### FINAL_STATUS_INFO

    public static final String FINAL_STATUS_INFO
    See Also:
      - Constant Field Values

  - ### STATE_INFO

    public static final String STATE_INFO
    See Also:
      - Constant Field Values

  - ### MASTER_NODE_ADDRESS

    public static final String MASTER_NODE_ADDRESS
    See Also:
      - Constant Field Values

  - ### MASTER_NODE_ID

    public static final String MASTER_NODE_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AppAttemptMetricsConstants

    public AppAttemptMetricsConstants()